Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.proteomics.aaindex
Interface SymbolPropertyTableDB

All Known Implementing Classes:
  SimpleSymbolPropertyTableDB

    public interface SymbolPropertyTableDB

Database of `SymbolPropertyTable` objects.

Version:
  $Revision: 3602 $
Author:
  Martin Szugat

Method Summary
`Set` | `names()` Returns the set of unique table names.
`int` | `numTables()` Returns the number of symbol property tables in the database.
`SymbolPropertyTable` | `table(String name)` Returns the table with the specified name.
`SymbolPropertyTableIterator` | `tableIterator()` Returns an iterator over `SymbolPropertyTable` objects.

Method Detail

### tableIterator

    SymbolPropertyTableIterator tableIterator()

  Returns an iterator over `SymbolPropertyTable` objects.

  Returns:
    a new iterator

### numTables

    int numTables()

  Returns the number of symbol property tables in the database.

  Returns:
    the number of tables

### names

    Set names()

  Returns the set of unique table names.

  Returns:
    a set containing strings

### table

    SymbolPropertyTable table(String name)
                              throws IllegalIDException,
                                     NullPointerException

  Returns the table with the specified name.

  Parameters:
    `name` - the name of the table
  Returns:
    the specified table
  Throws:
    `IllegalIDException` - if no symbol property table with the specified name could be found.
    `NullPointerException` - if `name` is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD